libnvme(2)

NAME
enum nvme_csts - This field indicates the controller status register

SYNOPSIS
enum nvme_csts {
NVME_CSTS_RDY_SHIFT ,
NVME_CSTS_CFS_SHIFT ,
NVME_CSTS_SHST_SHIFT ,
NVME_CSTS_NSSRO_SHIFT ,
NVME_CSTS_PP_SHIFT ,
NVME_CSTS_ST_SHIFT ,
NVME_CSTS_RDY_MASK ,
NVME_CSTS_CFS_MASK ,
NVME_CSTS_SHST_MASK ,
NVME_CSTS_NSSRO_MASK ,
NVME_CSTS_PP_MASK ,
NVME_CSTS_ST_MASK ,
NVME_CSTS_SHST_NORMAL ,
NVME_CSTS_SHST_OCCUR ,
NVME_CSTS_SHST_CMPLT ,
NVME_CSTS_SHN_MASK

};

Constants

NVME_CSTS_RDY_SHIFT
    Shift amount to get the ready

NVME_CSTS_CFS_SHIFT
    Shift amount to get the controller fatal status

NVME_CSTS_SHST_SHIFT
    Shift amount to get the shutdown status

NVME_CSTS_NSSRO_SHIFT
    Shift amount to get the NVM subsystem reset occurred

NVME_CSTS_PP_SHIFT
    Shift amount to get the processing paused

NVME_CSTS_ST_SHIFT
    Shift amount to get the shutdown type

NVME_CSTS_RDY_MASK
    Mask to get the ready

NVME_CSTS_CFS_MASK
    Mask to get the controller fatal status

NVME_CSTS_SHST_MASK
    Mask to get the shutdown status

NVME_CSTS_NSSRO_MASK
    Mask to get the NVM subsystem reset occurred

NVME_CSTS_PP_MASK
    Mask to get the processing paused

NVME_CSTS_ST_MASK
    Mask to get the shutdown type

NVME_CSTS_SHST_NORMAL
    Normal operation

NVME_CSTS_SHST_OCCUR
    Shutdown processing occurring

NVME_CSTS_SHST_CMPLT
    Shutdown processing complete

NVME_CSTS_SHN_MASK
    Deprecated mask to get the shutdown status